import { MatDialogRef } from '@angular/material/dialog';
import { DurationPickerFieldsState, DurationPickerState } from './duration-picker-state';
import * as i0 from "@angular/core";
export declare class DurationPickerDialogResult {
    success: boolean;
    millis: number;
}
export declare class DurationPickerDialog {
    dialogRef: MatDialogRef<DurationPickerDialog>;
    private data;
    flex: string;
    flexLayout: string;
    flexLayoutAlign: string;
    state: DurationPickerState;
    result: DurationPickerDialogResult;
    constructor(dialogRef: MatDialogRef<DurationPickerDialog>, data: any);
    onValueChange(field: DurationPickerFieldsState): void;
    onCancelRequest(): void;
    onOkRequest(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DurationPickerDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DurationPickerDialog, "duration-picker-dialog", never, {}, {}, never, never, false>;
}
