"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TanjInputWidgetModule = void 0;
const common_1 = require("@angular/common");
const core_1 = require("@angular/core");
const forms_1 = require("@angular/forms");
const checkbox_1 = require("@angular/material/checkbox");
const input_1 = require("@angular/material/input");
const slide_toggle_1 = require("@angular/material/slide-toggle");
const slider_1 = require("@angular/material/slider");
const components_1 = require("@tangential/components");
//noinspection ES6PreferShortImport
const checkbox_widget_configure_component_1 = require("./checkbox-widget/checkbox-widget-configure.component");
//noinspection ES6PreferShortImport
const checkbox_widget_component_1 = require("./checkbox-widget/checkbox-widget.component");
//noinspection ES6PreferShortImport
const date_time_widget_configure_component_1 = require("./date-time-widget/date-time-widget-configure.component");
//noinspection ES6PreferShortImport
const date_time_widget_component_1 = require("./date-time-widget/date-time-widget.component");
//noinspection ES6PreferShortImport
const duration_picker_dialog_1 = require("./duration-picker-widget/duration-picker-dialog");
//noinspection ES6PreferShortImport
const duration_picker_widget_configure_component_1 = require("./duration-picker-widget/duration-picker-widget-configure.component");
//noinspection ES6PreferShortImport
const duration_picker_widget_component_1 = require("./duration-picker-widget/duration-picker-widget.component");
//noinspection ES6PreferShortImport
const icon_rating_widget_configure_component_1 = require("./icon-rating-widget/icon-rating-widget-configure.component");
//noinspection ES6PreferShortImport
const icon_rating_widget_component_1 = require("./icon-rating-widget/icon-rating-widget.component");
//noinspection ES6PreferShortImport
const number_slider_widget_configure_component_1 = require("./number-slider-widget/number-slider-widget-configure.component");
//noinspection ES6PreferShortImport
const number_slider_widget_component_1 = require("./number-slider-widget/number-slider-widget.component");
//noinspection ES6PreferShortImport
const number_spinner_widget_configure_component_1 = require("./number-spinner-widget/number-spinner-widget-configure.component");
//noinspection ES6PreferShortImport
const number_spinner_widget_component_1 = require("./number-spinner-widget/number-spinner-widget.component");
//noinspection ES6PreferShortImport
const number_widget_configure_component_1 = require("./number-widget/number-widget-configure.component");
//noinspection ES6PreferShortImport
const number_widget_component_1 = require("./number-widget/number-widget.component");
//noinspection ES6PreferShortImport
const slide_toggle_widget_configure_component_1 = require("./slide-toggle-widget/slide-toggle-widget-configure.component");
//noinspection ES6PreferShortImport
const slide_toggle_widget_component_1 = require("./slide-toggle-widget/slide-toggle-widget.component");
//noinspection ES6PreferShortImport
const text_widget_configure_component_1 = require("./text-widget/text-widget-configure.component");
//noinspection ES6PreferShortImport
const text_widget_component_1 = require("./text-widget/text-widget.component");
const i0 = require("@angular/core");
class TanjInputWidgetModule {
}
exports.TanjInputWidgetModule = TanjInputWidgetModule;
TanjInputWidgetModule.ɵfac = function TanjInputWidgetModule_Factory(t) { return new (t || TanjInputWidgetModule)(); };
TanjInputWidgetModule.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TanjInputWidgetModule });
TanjInputWidgetModule.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [common_1.CommonModule,
        forms_1.FormsModule,
        input_1.MatInputModule,
        checkbox_1.MatCheckboxModule,
        slide_toggle_1.MatSlideToggleModule,
        slider_1.MatSliderModule,
        components_1.TanjComponentsModule] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TanjInputWidgetModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [
                    common_1.CommonModule,
                    forms_1.FormsModule,
                    input_1.MatInputModule,
                    checkbox_1.MatCheckboxModule,
                    slide_toggle_1.MatSlideToggleModule,
                    slider_1.MatSliderModule,
                    components_1.TanjComponentsModule
                ],
                declarations: [
                    checkbox_widget_component_1.CheckboxWidgetComponent,
                    checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
                    date_time_widget_component_1.DateTimeWidgetComponent,
                    date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
                    duration_picker_dialog_1.DurationPickerDialog,
                    duration_picker_widget_component_1.DurationPickerWidgetComponent,
                    duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
                    icon_rating_widget_component_1.IconRatingWidgetComponent,
                    icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
                    number_widget_component_1.NumberWidgetComponent,
                    number_widget_configure_component_1.NumberWidgetConfigureComponent,
                    number_slider_widget_component_1.NumberSliderWidgetComponent,
                    number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
                    number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
                    number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
                    slide_toggle_widget_component_1.SlideToggleWidgetComponent,
                    slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
                    text_widget_component_1.TextWidgetComponent,
                    text_widget_configure_component_1.TextWidgetConfigureComponent,
                ],
                exports: [
                    checkbox_widget_component_1.CheckboxWidgetComponent,
                    checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
                    date_time_widget_component_1.DateTimeWidgetComponent,
                    date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
                    duration_picker_dialog_1.DurationPickerDialog,
                    duration_picker_widget_component_1.DurationPickerWidgetComponent,
                    duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
                    icon_rating_widget_component_1.IconRatingWidgetComponent,
                    icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
                    number_slider_widget_component_1.NumberSliderWidgetComponent,
                    number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
                    number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
                    number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
                    number_widget_component_1.NumberWidgetComponent,
                    number_widget_configure_component_1.NumberWidgetConfigureComponent,
                    slide_toggle_widget_component_1.SlideToggleWidgetComponent,
                    slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
                    text_widget_component_1.TextWidgetComponent,
                    text_widget_configure_component_1.TextWidgetConfigureComponent,
                ],
                entryComponents: [
                    duration_picker_dialog_1.DurationPickerDialog,
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TanjInputWidgetModule, { declarations: [checkbox_widget_component_1.CheckboxWidgetComponent,
        checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
        date_time_widget_component_1.DateTimeWidgetComponent,
        date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
        duration_picker_dialog_1.DurationPickerDialog,
        duration_picker_widget_component_1.DurationPickerWidgetComponent,
        duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
        icon_rating_widget_component_1.IconRatingWidgetComponent,
        icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
        number_widget_component_1.NumberWidgetComponent,
        number_widget_configure_component_1.NumberWidgetConfigureComponent,
        number_slider_widget_component_1.NumberSliderWidgetComponent,
        number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
        number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
        number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
        slide_toggle_widget_component_1.SlideToggleWidgetComponent,
        slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
        text_widget_component_1.TextWidgetComponent,
        text_widget_configure_component_1.TextWidgetConfigureComponent], imports: [common_1.CommonModule,
        forms_1.FormsModule,
        input_1.MatInputModule,
        checkbox_1.MatCheckboxModule,
        slide_toggle_1.MatSlideToggleModule,
        slider_1.MatSliderModule,
        components_1.TanjComponentsModule], exports: [checkbox_widget_component_1.CheckboxWidgetComponent,
        checkbox_widget_configure_component_1.CheckboxWidgetConfigureComponent,
        date_time_widget_component_1.DateTimeWidgetComponent,
        date_time_widget_configure_component_1.DateTimeWidgetConfigureComponent,
        duration_picker_dialog_1.DurationPickerDialog,
        duration_picker_widget_component_1.DurationPickerWidgetComponent,
        duration_picker_widget_configure_component_1.DurationPickerWidgetConfigureComponent,
        icon_rating_widget_component_1.IconRatingWidgetComponent,
        icon_rating_widget_configure_component_1.IconRatingWidgetConfigureComponent,
        number_slider_widget_component_1.NumberSliderWidgetComponent,
        number_slider_widget_configure_component_1.NumberSliderWidgetConfigureComponent,
        number_spinner_widget_component_1.NumberSpinnerWidgetComponent,
        number_spinner_widget_configure_component_1.NumberSpinnerWidgetConfigureComponent,
        number_widget_component_1.NumberWidgetComponent,
        number_widget_configure_component_1.NumberWidgetConfigureComponent,
        slide_toggle_widget_component_1.SlideToggleWidgetComponent,
        slide_toggle_widget_configure_component_1.SlideToggleWidgetConfigureComponent,
        text_widget_component_1.TextWidgetComponent,
        text_widget_configure_component_1.TextWidgetConfigureComponent] }); })();
//# sourceMappingURL=input-widget.module.js.map