"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextWidgetConfigureComponent = exports.TextWidgetConfigureChange = exports.TANJ_TEXT_WIDGET_CONFIG_CONTROL_VALUE_ACCESSOR = void 0;
const core_1 = require("@angular/core");
const forms_1 = require("@angular/forms");
const core_2 = require("@tangential/core");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("@angular/forms");
const i3 = require("@angular/material/form-field");
const i4 = require("@angular/material/input");
const i5 = require("./text-widget.component");
function TextWidgetConfigureComponent_ng_container_3_Template(rf, ctx) { if (rf & 1) {
    const _r2 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-text-widget", 4);
    i0.ɵɵlistener("valueChange", function TextWidgetConfigureComponent_ng_container_3_Template_tanj_text_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r2); const ctx_r1 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r1.defaultValue = $event); })("valueChange", function TextWidgetConfigureComponent_ng_container_3_Template_tanj_text_widget_valueChange_1_listener() { i0.ɵɵrestoreView(_r2); const ctx_r3 = i0.ɵɵnextContext(); ctx_r3.value = ctx_r3.defaultValue; return i0.ɵɵresetView(ctx_r3.emitChangeEvent(true, false)); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementStart(2, "mat-form-field", 1)(3, "input", 5);
    i0.ɵɵlistener("change", function TextWidgetConfigureComponent_ng_container_3_Template_input_change_3_listener() { i0.ɵɵrestoreView(_r2); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.minLengthChange.emit(ctx_r4.minLength)); })("ngModelChange", function TextWidgetConfigureComponent_ng_container_3_Template_input_ngModelChange_3_listener($event) { i0.ɵɵrestoreView(_r2); const ctx_r5 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r5.minLength = $event); });
    i0.ɵɵelementEnd()();
    i0.ɵɵelementStart(4, "mat-form-field", 1)(5, "input", 6);
    i0.ɵɵlistener("change", function TextWidgetConfigureComponent_ng_container_3_Template_input_change_5_listener() { i0.ɵɵrestoreView(_r2); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.maxLengthChange.emit(ctx_r6.maxLength)); })("ngModelChange", function TextWidgetConfigureComponent_ng_container_3_Template_input_ngModelChange_5_listener($event) { i0.ɵɵrestoreView(_r2); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.maxLength = $event); });
    i0.ɵɵelementEnd()();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("value", ctx_r0.defaultValue)("defaultValue", ctx_r0.defaultValue)("maxLength", ctx_r0.maxLength)("minLength", ctx_r0.minLength);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngModel", ctx_r0.minLength);
    i0.ɵɵadvance(2);
    i0.ɵɵproperty("ngModel", ctx_r0.maxLength);
} }
/**
 * Provider Expression that allows this widget to register as a ControlValueAccessor.
 * This allows it to support [(ngModel)].
 * @docs-private
 */
exports.TANJ_TEXT_WIDGET_CONFIG_CONTROL_VALUE_ACCESSOR = {
    provide: forms_1.NG_VALUE_ACCESSOR,
    useExisting: (0, core_1.forwardRef)(() => TextWidgetConfigureComponent),
    multi: true
};
class TextWidgetConfigureChange {
    constructor(source, value) {
        this.source = source;
        this.value = value;
    }
}
exports.TextWidgetConfigureChange = TextWidgetConfigureChange;
class TextWidgetConfigureComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.flex = '';
        this.flexLayout = 'column';
        this.flexLayoutAlign = 'start';
        this.value = '';
        this.valueChange = new core_1.EventEmitter(false);
        this.labelPosition = 'before';
        this.disabled = false;
        /**
         * Configuration Fields
         */
        this.label = '';
        this.defaultValue = '';
        this.maxLength = 100;
        this.minLength = 0;
        this.labelChange = new core_1.EventEmitter(false);
        this.defaultValueChange = new core_1.EventEmitter(false);
        this.maxLengthChange = new core_1.EventEmitter(false);
        this.minLengthChange = new core_1.EventEmitter(false);
        this.change = new core_1.EventEmitter(false);
        /**
         * Called when the spinner is blurred. Needed to properly implement ControlValueAccessor.
         * @docs-private
         */
        this.onTouched = () => { };
        this.controlValueAccessorChangeFn = (value) => { };
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
    ngOnChanges(changes) {
    }
    emitChangeEvent(value, label) {
        this.controlValueAccessorChangeFn(this.value);
        this.change.emit(new TextWidgetConfigureChange(this, this.value));
        if (value) {
            this.valueChange.emit(this.value);
            this.defaultValueChange.emit(this.defaultValue);
        }
        if (label) {
            this.labelChange.emit(this.label);
        }
    }
    /**
     * Boilerplate / required for Angular
     *
     */
    writeValue(value) {
        this.value = value;
    }
    registerOnChange(fn) {
        this.controlValueAccessorChangeFn = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    /**
     * Sets the input's disabled state. Implemented as a part of ControlValueAccessor.
     * @param isDisabled Whether the input should be disabled.
     */
    setDisabledState(isDisabled) {
        this.disabled = isDisabled;
    }
}
exports.TextWidgetConfigureComponent = TextWidgetConfigureComponent;
TextWidgetConfigureComponent.ɵfac = function TextWidgetConfigureComponent_Factory(t) { return new (t || TextWidgetConfigureComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
TextWidgetConfigureComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TextWidgetConfigureComponent, selectors: [["tanj-text-configure"]], hostVars: 3, hostBindings: function TextWidgetConfigureComponent_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵattribute("flex", ctx.flex)("layout", ctx.flexLayout)("layout-align", ctx.flexLayoutAlign);
    } }, inputs: { value: "value", labelPosition: "labelPosition", disabled: "disabled", label: "label", defaultValue: "defaultValue", maxLength: "maxLength", minLength: "minLength" }, outputs: { valueChange: "valueChange", labelChange: "labelChange", defaultValueChange: "defaultValueChange", maxLengthChange: "maxLengthChange", minLengthChange: "minLengthChange", change: "change" }, features: [i0.ɵɵProvidersFeature([exports.TANJ_TEXT_WIDGET_CONFIG_CONTROL_VALUE_ACCESSOR]), i0.ɵɵNgOnChangesFeature], decls: 4, vars: 2, consts: [["flex", "", "layout", "column", "layout-align", "start", 1, "tanj-input-template", "tanj-mode-configure"], ["dividerColor", "accent"], ["matInput", "", "type", "text", "maxlength", "50", "placeholder", "Enter a label for this input", 1, "tanj-input", 3, "ngModel", "change", "ngModelChange"], [4, "ngIf"], ["label", "Default Value", 3, "value", "defaultValue", "maxLength", "minLength", "valueChange"], ["matInput", "", "type", "number", "placeholder", "Min Length", 1, "tanj-input", 3, "ngModel", "change", "ngModelChange"], ["matInput", "", "type", "number", "placeholder", "Max Length", 1, "tanj-input", 3, "ngModel", "change", "ngModelChange"]], template: function TextWidgetConfigureComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0)(1, "mat-form-field", 1)(2, "input", 2);
        i0.ɵɵlistener("change", function TextWidgetConfigureComponent_Template_input_change_2_listener() { return ctx.labelChange.emit(ctx.label); })("ngModelChange", function TextWidgetConfigureComponent_Template_input_ngModelChange_2_listener($event) { return ctx.label = $event; });
        i0.ɵɵelementEnd()();
        i0.ɵɵtemplate(3, TextWidgetConfigureComponent_ng_container_3_Template, 6, 6, "ng-container", 3);
        i0.ɵɵelementEnd();
    } if (rf & 2) {
        i0.ɵɵadvance(2);
        i0.ɵɵproperty("ngModel", ctx.label);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.label);
    } }, dependencies: [i1.NgIf, i2.DefaultValueAccessor, i2.NumberValueAccessor, i2.NgControlStatus, i2.MaxLengthValidator, i2.NgModel, i3.MatFormField, i4.MatInput, i5.TextWidgetComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TextWidgetConfigureComponent, [{
        type: core_1.Component,
        args: [{
                selector: 'tanj-text-configure',
                template: `<!-- -->
  <div class="tanj-input-template tanj-mode-configure" flex layout="column" layout-align="start">
    <mat-form-field dividerColor="accent">
      <input matInput class="tanj-input" type="text" maxlength="50" placeholder="Enter a label for this input"
             (change)="labelChange.emit(label)"
             [(ngModel)]="label"/>
    </mat-form-field>
    <ng-container *ngIf="label">
      <tanj-text-widget [(value)]="defaultValue"
                       (valueChange)="value = defaultValue; emitChangeEvent(true, false)"
                       [defaultValue]="defaultValue"
                       [maxLength]="maxLength"
                       [minLength]="minLength"
                       label="Default Value"></tanj-text-widget>
      <mat-form-field dividerColor="accent">
        <input matInput
               class="tanj-input"
               type="number"
               placeholder="Min Length"
               (change)="minLengthChange.emit(minLength)"
               [(ngModel)]="minLength"/>
      </mat-form-field>
      <mat-form-field dividerColor="accent">
        <input matInput
               class="tanj-input"
               type="number"
               placeholder="Max Length"
               (change)="maxLengthChange.emit(maxLength)"
               [(ngModel)]="maxLength"/>
      </mat-form-field>
    </ng-container>

  </div>
                 `,
                providers: [exports.TANJ_TEXT_WIDGET_CONFIG_CONTROL_VALUE_ACCESSOR],
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { flex: [{
            type: core_1.HostBinding,
            args: ['attr.flex']
        }], flexLayout: [{
            type: core_1.HostBinding,
            args: ['attr.layout']
        }], flexLayoutAlign: [{
            type: core_1.HostBinding,
            args: ['attr.layout-align']
        }], value: [{
            type: core_1.Input
        }], valueChange: [{
            type: core_1.Output
        }], labelPosition: [{
            type: core_1.Input
        }], disabled: [{
            type: core_1.Input
        }], label: [{
            type: core_1.Input
        }], defaultValue: [{
            type: core_1.Input
        }], maxLength: [{
            type: core_1.Input
        }], minLength: [{
            type: core_1.Input
        }], labelChange: [{
            type: core_1.Output
        }], defaultValueChange: [{
            type: core_1.Output
        }], maxLengthChange: [{
            type: core_1.Output
        }], minLengthChange: [{
            type: core_1.Output
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=text-widget-configure.component.js.map